Vista previa de los parámetros de rastreo generados a partir de una instrucción en lenguaje natural
curl --request POST \
--url https://api.firecrawl.dev/v2/crawl/params-preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"url": "<string>"
}
'import requests
url = "https://api.firecrawl.dev/v2/crawl/params-preview"
payload = {
"prompt": "<string>",
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>', url: '<string>'})
};
fetch('https://api.firecrawl.dev/v2/crawl/params-preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"allowExternalLinks": true,
"allowSubdomains": true,
"crawlEntireDomain": true,
"deduplicateSimilarURLs": true,
"delay": 123,
"excludePaths": [
"<string>"
],
"ignoreQueryParameters": true,
"ignoreRobotsTxt": true,
"includePaths": [
"<string>"
],
"limit": 123,
"maxDepth": 123,
"maxDiscoveryDepth": 123,
"robotsUserAgent": "<string>",
"url": "<string>"
},
"success": true
}{
"error": "Invalid request parameters",
"success": false
}{
"error": "Unauthorized",
"success": false
}{
"error": "Failed to process natural language prompt",
"success": false
}Endpoints de rastreo
Vista previa de parámetros de rastreo
POST
/
crawl
/
params-preview
Vista previa de los parámetros de rastreo generados a partir de una instrucción en lenguaje natural
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cuerpo
application/json
⌘I

